*{
    margin: 0;
    padding: 0;
}
body{
    background: #f7f7f7;
}
/* 主体 */
.centent{
    width: 100vw;
    max-width: 100%;
    /*min-width: 350px;*/
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #f7f7f7;
}

a{
	-webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    -webkit-user-select:none;
	-moz-user-focus: none;
    -moz-user-select: none;
    text-decoration:none;
    color:#ffffff;
}

.mian{
    width: 50%;
    background: rgb(255, 255, 255);
    margin-top: 60px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition:all 0.5s;
}


.main-top{
    width: 90%;
    display: flex;
    flex-direction: column;
    /* background: chartreuse; */
        position: relative;
    margin-bottom: 20px;
    border-bottom: 1px solid #f4f4ff;
    border-width: 2px !important;
}
.main-bot{
    width: 90%;
    display: flex;
    flex-direction: column;
    /* background: cornflowerblue; */
}

.main-top-title{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-top: 30px;
}
/* 大标题 */
.main-top-title>h1{
    text-align: center;
    font-size: 2em;
	line-height: 1.8em;
    margin-right: 5px;
    color: #0a274d;
}
.main-top-title a{
color: #0a274d;
}
/* 头像 */
.main-top-title>a>img{
    width: 60px;
    height: 60px;
    border-radius: 10px;
    object-fit: cover;
}


/* 简介 */
.main-top-Brief{
    width: 100%;
    margin-top: 15px;
    margin-bottom: 20px;
}
.main-top-Brief>p{
    /* color: rgba(34,47,62,0.4); */
    color: #637792;
    font-size: 14px;
    margin-top: 5px;
    margin-right: 10px;
}


/* 图标 */
.main-bot-tb{
    width: 100%;
    display: flex;
}
.main-bot-tb>a{
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}
.main-bot-tb>a>i{
    font-size: 22px;
    color: #8095b1;
    transition:all 0.15s;
}
.main-bot-tb-1{
    margin-left: -10px;
}



/* 二标题 */
.main-bot-title{
    width: 100%;
    margin-top: 10px;
}
.main-bot-title>h3{
    /* color: rgb(38, 52, 66); */
    color: #0a274d;
}

.main-bot-Brief>h2 {
    background-color: #d3d4f8;
    color: #473bf0;
    padding: 10px 20px;
    border-radius: 25px;
    font-weight: 600;
    font-size: 18px;
    line-height: 1.4;
    margin-bottom: 15px;
    margin-top: 10px;
        text-align: center;
}


/* 内容 */
.main-bot-nr{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    column-gap: 5px;
    row-gap: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
}
.main-bot-nr-kp{
    width: 100%;
    min-height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
        margin-bottom: 8px;
  
}
.main-bot-nr-kp-k{
    width: 100%;
    min-height: 80px;
    display: flex;
    align-items: center;
    transition: all 0.3s;
    /* background: chocolate;  */
    border-radius: 10px;
}

/* 图片 */
.main-bot-nr-kp-k-img{
    min-height: 80px;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    overflow: hidden;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    /* background: cornflowerblue; */

}
.main-bot-nr-kp-k-img>img{
      width: 100px;
    height: 75px;
    display: block;
    transition: all 0.3s;
    border-radius: 10px;
    object-fit: cover;
    margin-left: 0px;
}


        /* 分页 */
.pager {display: inline-block;padding-left: 0;margin-top: 10px;
    margin-bottom: 25px;border-radius: 4px;width:100%;display:flex;justify-content:center;font-size:12px;}
.pager > li {display: inline;margin: 2px 5px;    font-weight: bold;}
.pager > li > a, .pager > li > span {float: left;padding: 10px 20px;margin-left: -1px;line-height: 1.42857143;color: #222222;text-decoration: none;background-color: #fff;border: 1px solid #EEEEEE;}
.pager > li:first-child > a,.pager > li:first-child > span {margin-left: 0;border-top-left-radius: 4px;border-bottom-left-radius: 4px;}
.pager > li:last-child > a, .pager > li:last-child > span {border-top-right-radius: 4px;border-bottom-right-radius: 4px;}
.pager > li > a:hover, .pager > li > span:hover, .pager > li > a:focus, .pager > li > span:focus {z-index: 2;color:#04a07b;background-color: #F9F9F9;border-color: #EEEEEE;}
.pager > .active > a, .pager > .active > span, .pager > .active > a:hover, .pager > .active > span:hover, .pager > .active > a:focus, .pager > .active > span:focus {z-index: 3;color: #FFFFFF;cursor: default;background-color: #04a07b;border-color: #04a07b;}
.pager > .disabled > span, .pager > .disabled > span:hover, .pager > .disabled > span:focus, .pager > .disabled > a, .pager > .disabled > a:hover, .pager > .disabled > a:focus {color: #CCCCCC;cursor: not-allowed;background-color: #fff;border-color: #EEEEEE;}


.main-bot-nr-kp-k-n{
    /* background: crimson; */
    margin-left: 12px;
    display: flex;  
    width: 74.5%;
    flex-direction: column;
}
.p1{
    font-size: 18px;
    /* color: rgb(38, 52, 66); */
    color: #0a274d;
    font-weight: bold;
    margin-right: 10px;
}
.p2{
    font-size: 14px;
    /* color: #1c3952; */
    color: #637792;
    margin-top: 10px;
    margin-right: 10px;
        display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
}





/* 版权 */
.footer {
    /*position: absolute;*/
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
    font-size: 12px;
    color: rgba(102, 102, 102, 0.589);
    padding: 10px 0;
    margin-top: 20px;
}
.footer-link{
    color: rgba(103, 101, 101, 0.8);
}






















/* 动画区 */
.main-bot-tb-1>i:hover{
    transform:scale(1.2);
    color: #03a9f4;
}
.main-bot-tb-2>i:hover{
    transform:scale(1.2);
    color: #03a9f4;
}
.main-bot-tb-3>i:hover{
    transform:scale(1.2);
    color: #03a9f4;
}
.main-bot-tb-4>i:hover{
    transform:scale(1.2);
    color: #03a9f4;
}







.main-bot-nr-kp:hover .kkk{
    transform: scale(1.5);
    width: 85px;
}
.main-bot-nr-kp:hover .main-bot-nr-kp-k{
    background: #efefef;
}







@media screen and (max-width:1500px) {
.mian{
    width: 65%;
}

}
@media screen and (max-width:1150px) {
    .mian{
        width: 75%;
    }
    
}
@media screen and (max-width:1000px) {
    .mian{
        width: 85%;
    }
    
}
@media screen and (max-width:888px) {
    .mian{
        width: 100%;
        margin-top: 0px;
    }
    .main-bot-nr{
        grid-template-columns: 1fr;
    }
    .p1{
    font-size: 16px;
    /* color: rgb(38, 52, 66); */
    color: #0a274d;
    font-weight: bold;
    margin-right: 10px;
     display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
}
.p2{
    font-size: 12px;
    /* color: #1c3952; */
    color: #637792;
    margin-top: 10px;
    margin-right: 10px;
   display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

}

.article-body {color:#2f3340;font-size:14px;margin-bottom:10px;margin-top: 20px;line-height:1.8;overflow:hidden;white-space:normal;word-wrap:break-word;word-break:normal;}
.article-body img{max-width:100%;height: auto!important;border-radius: 5px;}
.article-body .hljs{padding:1rem;font-family: "Microsoft Yahei";border-radius: 6px;font-size: 13px;}
.article-body p {margin: 0 0 .5rem;color:#2f3340;font-size:16px;}
code {padding: 3px 5px;margin: 0 2px;border-radius: 2px;font-size: .875em;color: #d63384;background-color:#f4f4ff;font-family: 'Microsoft Yahei',"Helvetica Neue",Helvetica,Arial,sans-serif;word-wrap: break-word;}
pre {display:block;padding:9.5px;margin:0 0 10px;font-size:13px;line-height:1.42857143;color:#333;word-wrap:break-word;background-color:#f5f5f5;border:1px solid #ccc;border-radius:4px;font-family: "Microsoft Yahei";white-space: pre-wrap;}
.article-body pre {margin: 20px 0;font-size: 12px;line-height: 22px;background: #4a4a4a;padding: 10px 20px;color: #f8f8d4;border: 0;}
.article-body h1,.article-body h2,.article-body h3 {color:#333;font-size:18px;margin-bottom: 15px;line-height: 24px;}

.article-title {
    width: 100%;
    margin-top: 15px;
    margin-bottom: 10px;
}
.article-title h2 {
    position: relative;
    padding: 0 0 0 32px;
    font-size: 1.55rem;
    font-weight: 700;
        line-height: 24px;
    float: left;
}
.article-title h2:before {
    position: absolute;
    left: 0;
    top: 5px;
    width: 20px;
    height: 10px;
    border-radius: 4px;
    content: "";
    background-image: linear-gradient(to right,#3858f6,#6e86ff,#8068ff,#3858f6);
    background-size: 300% 100%;
}


#divMain a, #divMain2 a {
    color: #1d4c7d;
}
.preview {
    margin-left: 2px;
    padding: 0 15px;
    font-size: 14px;
    color: #fff!important;
    line-height: 32px;
    white-space: nowrap;
    border-radius: 4px;
    background: #0188fb;
    right: 0;
}



@media screen and (max-width:888px) {
.article-title h2 {
    font-size: 1.25rem;
    }
    .preview {
    margin-left: 2px;
    padding: 0 10px;
    font-size: 12px;
    color: #fff!important;
    line-height: 28px;
    white-space: nowrap;
    border-radius: 4px;
    background: #0188fb;
    right: 0;
}
}

